Skip to main content
PATCH https://api.revreply.com/v1/agent/{agent}
This endpoint requires authentication.

Try it

Use the following request to partially update an agent:

Authentication

This endpoint uses Bearer authentication with a JWT.

Request

Headers

Path parameters

Body

The request body uses the UpdateAgentRequest schema. The schema inherits the fields from CreateAgentRequest; agent_name is required by the schema, while the other fields are optional.

Request structure

For a partial update, include only the fields that need to be changed.

Request examples

The request is a PATCH request to:

Response

Response structure

A successful request returns an object containing the updated agent.

Response example

Errors

404 — Agent not found

Returned when the specified agent does not exist.

422 — Validation error

Returned when one or more request fields fail validation.

500 — Server or integration error

Returned when the agent cannot be updated because of a server or integration failure.